*** FILE AUTOMATICALLY CREATED: DO NOT EDIT, CHANGES WILL BE LOST ***

------------------------------------------------------------------------
INPUT FILE DESCRIPTION

Program: turbo_spectrum.x / turboTDDFPT / Quantum ESPRESSO (version: 7.2)
------------------------------------------------------------------------


    Input data format: { } = optional, [ ] = it depends.

All quantities whose dimensions are not explicitly specified are in
RYDBERG ATOMIC UNITS

BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

Comment lines in namelists can be introduced by a "!", exactly as in
fortran code. Comments lines in ``cards'' can be introduced by
either a "!" or a "#" character in the first position of a line.

Structure of the input data:
===============================================================================

&LR_INPUT
  ...
/



========================================================================
NAMELIST: &LR_INPUT

   THIS NAMELIST IS ALWAYS NEEDED !
   
   +--------------------------------------------------------------------
   Variable:       prefix
   
   Type:           CHARACTER
   Default:        'pwscf'
   Description:    Sets the prefix for generated and read files. The files
                   generated by the ground state pw.x run should have this
                   same prefix.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       outdir
   
   Type:           CHARACTER
   Default:        './'
   Description:    The directory that contains the run critical files, which
                   include the files generated by ground state pw.x run.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       verbosity
   
   Type:           INTEGER
   Default:        1
   Description:    This integer variable controls the amount of information
                   written to standard output.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       itermax0
   
   Type:           INTEGER
   Default:        500
   Description:    Number of Lanczos coefficients to be read from the file.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       itermax
   
   Type:           INTEGER
   Default:        500
   Description:    The total number of Lanczos coefficients that will be
                   considered in the calculation of the polarizability/absorption
                   coefficient. If itermax > itermax0, the Lanczos coefficients
                   in between itermax0+1 and itermax will be extrapolated.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       extrapolation
   
   Type:           CHARACTER
   Default:        'no'
   Description:   
                   Sets the extrapolation scheme.
    
                   'osc' :
                        biconstant extrapolation
    
                   'constant' :
                        constant extrapolation
    
                   'no' :
                        no extrapolation.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       epsil
   
   Type:           REAL
   Default:        0.02
   Description:    The broadening/damping term. In Rydberg units if magnons=.false.,
                       in meV if magnons = .true.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       units
   
   Type:           INTEGER
   Default:        0
   Description:    The unit system used for the output and the start, end and increment
                   input parameters. (only meV used in that case).
                   
                   0 = Rydbergs, 1 = Electron volts, 2 = Nanometres per electron volts,
                   3 = milli Electron volts (only for magnons=.true.)
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       start
   
   Type:           REAL
   Default:        0.0
   Description:    The polarizability and the absorption coefficient are computed
                   starting from this value. In units set.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       end
   
   Type:           REAL
   Default:        2.5
   Description:    The polarizability and the absorption coefficient are computed
                   up to this value. In units set.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       increment
   
   Type:           REAL
   Default:        0.001
   Description:    Incremental step used to define the mesh between start and end.
                   In units set.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       ipol
   
   Type:           INTEGER
   Default:        1
   Description:    An integer variable that determines which element of the
                   dynamical polarizability will be computed:
                   1 -> alpha_xx(omega), 2 -> alpha_yy(omega), and
                   3 -> alpha_zz(omega). When set to 4, three Lanczos chains
                   are sequentially performed and the full polarizability
                   tensor and the absorption coefficient are computed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       eels
   
   Type:           LOGICAL
   Default:        .false.
   Description:    Must be set to .true. for EELS. EELS-specific operations
                   will be performed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       magnons
   
   Type:           LOGICAL
   Default:        .false.
   Description:    Must be set to .true. for magnon-calculation post-processing.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       td
   
   Type:           CHARACTER
   Default:        'lanczos'
   Description:    When set to 'lanczos', a calculation of the spectrum is
                   performed using the Lanczos coefficients.
                   When set to 'davidson' or 'david', a calculation of the
                   spectrum is performed using the eigenvalues computed
                   using the Davidson algorithm. See the variable 'eign_file'.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       eign_file
   
   Type:           CHARACTER
   Default:        'pwscf.eigen'
   Description:    The name of the file produced by the turbo_davidson.x code,
                   in which are written the eigenvalues.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


This file has been created by helpdoc utility on Sat Mar 18 15:45:38 CET 2023
